﻿// Class cVaxAccount


function cVaxAccount()
{
	this.OnLoadPage = function ()
	{
		this.ReadAccountSetting();
        this.DisplayNone();

       
	}
	
    this.OnVaxInit = function () 
    {	
	    BtnOnline.value = "Offline";
	}

    this.OnVaxUnInit = function () 
    {
        BtnOnline.value = "Online";
        ListStatusLog.value = "";
    }

	////////////////////////////////////////////////////////////////////////

    this.BtnOnline_onclick = function () 
    {	
	    if (BtnOnline.value == "Offline") 
        {	
            m_objVaxFuncSIP.VaxOffline();
            return;
        }
		
        if (EditAccountAuthLogin.value == "") 
        {
            ShowDialog("Invalid auth Login.");
            return;
        }
		
        if (EditAccountServerAddr.value == "") 
        {
            ShowDialog("Invalid SIP server domain or IP address.");
            return;
        }

        if (EditAccountServerPort.value == "")
        {
            EditAccountServerPort.value = '5060';
        }

        SaveAccountSetting();

        m_objVaxFuncSIP.VaxOnline(EditAccountDisplayName.value, EditAccountUserName.value, EditAccountAuthLogin.value, EditAccountAuthPassword.value, EditAccountDomain.value, EditAccountServerAddr.value, parseInt(EditAccountServerPort.value), CheckRegisterToProxy.checked);

        if (CheckRegisterToProxy.checked == false) 
        {
            AddToStatusLogList("Account is online.");
		}
	}
	
    this.BtnClearStatusLog_onclick = function () 
    {
        ListStatusLog.value = "";
    }

    this.CheckSavePwd_onclick = function ()
    {
        if (CheckSavePwd.checked)
        {
            SetCookie('CheckSavePwd', '1');
            SetCookie('AccountAuthPassword', EditAccountAuthPassword.value);
		}
		
        else
        {
            SetCookie('CheckSavePwd', '0');
            SetCookie('AccountAuthPassword', '');
        }
		
    }

	this.BtnAdvance_onclick = function() 
	{
		var DisplayId = document.getElementById("EditAccountDisplayName"); 
		DisplayId.style.display == "block" ? DisplayId.style.display = "none" : 
		DisplayId.style.display = "block"; 
  
		var UserNameId = document.getElementById("EditAccountUserName");
		UserNameId.style.display == "block" ? UserNameId.style.display = "none" : 
		UserNameId.style.display = "block"; 

		var DomainRealmId = document.getElementById("EditAccountDomain");
		DomainRealmId.style.display == "block" ? DomainRealmId.style.display = "none" : 
		DomainRealmId.style.display = "block"; 
                               
		var BtnAdvanceId = document.getElementById("BtnAdvance");
		
        if (BtnAdvanceId.value=="Basic") BtnAdvanceId.value = "Advance";
		else BtnAdvanceId.value = "Basic";
	}

	this.BtnDemoAcc_onclick = function()
	{
		var DateNow = new Date();
		var Time = DateNow.getTime();
  
		var EpochTime = Math.round(Time / 1000);
  
		EditAccountAuthLogin.value = EpochTime;
		EditAccountAuthPassword.value = EpochTime;
  
		EditAccountServerAddr.value = "demo.vaxvoip.com";
 		EditAccountServerPort.value = "8891";

        EditAccountUserName.value = "";
        EditAccountDisplayName.value = "";
        EditAccountDomain.value = "";

        CheckSavePwd.checked = true;

        EditRTCServerIP.value = 'wss://45_126_210_90.web.vaxphone.com:8080';
  
		ShowDialog("Demo accounts are only for account-to-account VoIP calls. Use demo accounts on different devices to dial/receive VoIP calls.<br/> <br/>Dial 000 for self testing.<br> <br/>[Powered by VaxVoIP Server SDK]", "VaxVoIP SDK"); 
	}

	/////////////////////////////////////////////////////////////////////////////

	function SaveAccountSetting()
	{
    	SetCookie('AccountUserName', EditAccountUserName.value);
    	SetCookie('AccountDisplayName', EditAccountDisplayName.value);
    	SetCookie('AccountDomain', EditAccountDomain.value);
    	
    	SetCookie('AccountAuthLogin', EditAccountAuthLogin.value);

    	if (CheckSavePwd.checked)
        	SetCookie('AccountAuthPassword', EditAccountAuthPassword.value);
    	else
        	SetCookie('AccountAuthPassword', '');
        
		SetCookie('AccountServerAddr', EditAccountServerAddr.value);
		SetCookie('AccountServerPort', EditAccountServerPort.value);
		
		SetCookie('AccountRTCServerIP', EditRTCServerIP.value);
		SetCookie('CheckSavePwd', CheckSavePwd.value);
	}

	this.ReadAccountSetting = function()
	{
		var Value = GetCookie('AccountUserName');
    	if (Value != null)
        	EditAccountUserName.value = Value;

    	Value = GetCookie('AccountDisplayName');
    	if (Value != null)
        	EditAccountDisplayName.value = Value;

    	Value = GetCookie('AccountDomain');
    	if (Value != null)
        	EditAccountDomain.value = Value;
			
		Value = GetCookie('AccountAuthLogin');
    	if (Value != null)
        	EditAccountAuthLogin.value = Value;
		
    	Value = GetCookie('AccountAuthPassword');
    	if (Value != null)
        	EditAccountAuthPassword.value = Value;

    	Value = GetCookie('AccountServerAddr');
    	if (Value != null)
        	EditAccountServerAddr.value = Value;
			
        var Value = GetCookie('AccountServerPort');

        if (Value != null && Value != '')
            EditAccountServerPort.value = Value;
        else
            EditAccountServerPort.value = '5060';
		    	
    	Value = GetCookie('CheckSavePwd');
		
    	if (Value == null || Value == '0')
        	CheckSavePwd.checked = false;
    	else
        	CheckSavePwd.checked = true;
				        
    	var Value = GetCookie('AccountRTCServerIP');
    	
		if (Value != null && Value != '')
        	EditRTCServerIP.value = Value;
		else
		    EditRTCServerIP.value = 'wss://45_126_210_90.web.vaxphone.com:8080';
	}

	this.DisplayNone = function()
	{
		document.getElementById("EditAccountDisplayName").style.display = "none";
		document.getElementById("EditAccountUserName").style.display = "none";
		document.getElementById("EditAccountDomain").style.display = "none";	
	}

	function AddToStatusLogList(value)
    {
        if (ListStatusLog.value.length == 0)
            ListStatusLog.value = ListStatusLog.value + value;
        else
            ListStatusLog.value = ListStatusLog.value + "\n" + value;

        ListStatusLog.scrollTop = ListStatusLog.scrollHeight;
    }

    /////////////////////////////////////////////////////////////////////////////

    this.OnWebConnectionTrying = function ()
    {
        AddToStatusLogList("Trying to connect to Server WebRTC.");
    }

    this.OnWebConnectionSuccess = function ()
    {
        AddToStatusLogList("Success to connect to Server WebRTC.");
    }

    this.OnWebConnectionFailed = function (sMsg)
    {
        AddToStatusLogList(sMsg);
    }

    this.OnWebConnectionClosed = function ()
    {
        AddToStatusLogList("Connection to Server WebRTC closed.");
    }

    /////////////////////////////////////////////////////////////////////////////

	this.OnConnectingToRegister = function()
	{
		AddToStatusLogList("Connecting to register.");	
	}

    this.OnTryingToRegister = function ()
    {
		AddToStatusLogList("Trying to register.");
    }

    this.OnSuccessToRegister = function ()
    {
        AddToStatusLogList("Success to register.");
    }

    this.OnFailToRegister = function (StatusCode, ReasonPhrase) 
    {
        AddToStatusLogList("Failed: " + ReasonPhrase);
    }

    this.OnFailToRegisterEx = function (StatusCode, ReasonPhrase)
    {
        AddToStatusLogList("Failed: " + ReasonPhrase);
    }
	
	this.OnConnectingToReRegister = function()
	{
		AddToStatusLogList("Connecting to re-register.");
	}

    this.OnTryingToReRegister = function ()
    {
        AddToStatusLogList("Trying to Re-Register.");
    }

    this.OnSuccessToReRegister = function ()
    {

        AddToStatusLogList("Success to Re-Register.");
    }

    this.OnFailToReRegister = function (nStatusCode, sReasonPhrase)
    {
		AddToStatusLogList("Failed: " + ReasonPhrase);
    }

    this.OnFailToReRegisterEx = function (StatusCode, ReasonPhrase)
    {
        AddToStatusLogList("Failed: " + ReasonPhrase);
    }

    this.OnTryingToUnRegister = function ()
    {
        AddToStatusLogList("Trying to Unregister.");
    }

    this.OnSuccessToUnRegister = function ()
    {
        AddToStatusLogList("Unregistered successfully.");
    }

    this.OnFailToUnRegister = function ()
    {
        AddToStatusLogList("Fail to unregister.");
    }

    this.OnVoiceMailMsg = function (IsMsgWaiting, NewMsgCount, OldMsgCount, NewUrgentMsgCount, OldUrgentMsgCount, MsgAccount) 
    {
    
    }

};