﻿Imports VaxServerWebRTCLib

Public Class cVaxServerWebRTC

    Private m_objWebRTC As VaxServerWebRTCLib.ServerWebRTC = Nothing

    Public Sub New()

        m_objWebRTC = New VaxServerWebRTCLib.ServerWebRTC()

        AddHandler m_objWebRTC.OnVaxErrorMsg, AddressOf OnVaxErrorMsg

    End Sub

    Public Function GetVersionFile() As String

        Return m_objWebRTC.GetVersionFile()

    End Function

    Public Function GetVersionSDK() As String

        Return m_objWebRTC.GetVersionSDK()

    End Function

    Public Function SetLicenceKey(ByVal sLicenceKey As String) As Boolean

        Return m_objWebRTC.SetLicenceKey(sLicenceKey)

    End Function

    Public Function GetVaxErrorCode() As Integer

        Return m_objWebRTC.GetVaxErrorCode()

    End Function

    Public Function GetVaxErrorMsg() As String

        Return m_objWebRTC.GetVaxErrorMsg()

    End Function

    Public Function Initialize(ByVal sListenIP As String, ByVal nListenPort As Integer, ByVal sCertKeySSL As String, ByVal sCertCrtSSL As String, ByVal sPathURL As String) As Boolean

        Return m_objWebRTC.Initialize(sListenIP, nListenPort, sCertKeySSL, sCertCrtSSL, sPathURL)

    End Function

    Public Sub UnInitialize()

        m_objWebRTC.UnInitialize()

    End Sub

    Public Function GetClientCount() As Integer

        Return m_objWebRTC.GetClientCount()

    End Function

    Public Function GetStartListenIP() As Boolean

        Return m_objWebRTC.GetStartListenIP()

    End Function

    Public Function GetNextListenIP() As String

        Return m_objWebRTC.GetNextListenIP()

    End Function

    Public Function BuildWebSocketURL() As String

        Return m_objWebRTC.BuildWebSocketURL()

    End Function

    Public Function SetListenPortRangeRTP(ByVal nPortMinWebRTC As Integer, ByVal nPortMaxWebRTC As Integer, ByVal nPortMinSIP As Integer, ByVal nPortMaxSIP As Integer) As Boolean

        Return m_objWebRTC.SetListenPortRangeRTP(nPortMinWebRTC, nPortMaxWebRTC, nPortMinSIP, nPortMaxSIP)

    End Function

    Protected Overridable Sub OnVaxErrorMsg(ByVal sFuncName As String, ByVal sErrorMsg As String, ByVal nErrorCode As Integer)

    End Sub

End Class

