
// ServerWebRTCDlg.h : header file
//

#pragma once

#include "resource.h"

class CVaxServerWebRTCEx;

// CServerWebRTCDlg dialog

class CServerWebRTCDlg : public CDialogEx
{
// Construction
public:
	CServerWebRTCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SERVERWEBRTC_DIALOG };

	CComboBox m_ComboListenIP;
	CButton m_BtnStartServer;
	
	int m_nListenPort;

	CString m_sWebSocketURL;
	CString m_sDemoWebPhoneURL;

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

private:

	friend CVaxServerWebRTCEx;

private:

	BOOL m_bServerStarted;

	CVaxServerWebRTCEx* m_pServerWebRTC;

private:

	void ApplyFont();

private:

	void OnVaxErrorLog(LPCTSTR sFuncName, LPCTSTR sErrorMsg, int nErrorCode);

public:

	afx_msg void OnBnClickedBtnStartserver();
	afx_msg void OnBnClickedBtnCopy();
	afx_msg void OnBnClickedBtnCopydemoUrl();

private:

	void ComboAddListenIP();
	CString ComboGetSelectedListenIP();
public:
	afx_msg void OnDestroy();
	virtual void OnOK();
};
