﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VaxServerWebRTCLib;

namespace ServerWebRTC
{
    class cVaxServerWebRTC
    {
        VaxServerWebRTCLib.ServerWebRTC m_objWebRTC = null;

        public cVaxServerWebRTC()
        {
            m_objWebRTC = new VaxServerWebRTCLib.ServerWebRTC();

            m_objWebRTC.OnVaxErrorMsg +=new _IServerWebRTCEvents_OnVaxErrorMsgEventHandler(OnVaxErrorMsg);
        }


        #region Methods

        public String GetVersionFile()
        {
            return m_objWebRTC.GetVersionFile();
        }

        public String GetVersionSDK()
        {
            return m_objWebRTC.GetVersionSDK();
        }

        public Boolean SetLicenceKey(String sLicenceKey)
        {
            return m_objWebRTC.SetLicenceKey(sLicenceKey);
        }

        public int GetVaxErrorCode()
        {
            return m_objWebRTC.GetVaxErrorCode();
        }

        public String GetVaxErrorMsg()
        {
            return m_objWebRTC.GetVaxErrorMsg();
        }

        public Boolean Initialize(String sListenIP, int nListenPort, String sCertKeySSL, String sCertCrtSSL, String sPathURL)
        {
            return m_objWebRTC.Initialize(sListenIP, nListenPort, sCertKeySSL, sCertCrtSSL, sPathURL);
        }

        public void UnInitialize()
        {
            m_objWebRTC.UnInitialize();
        }

        public int GetClientCount()
        {
            return m_objWebRTC.GetClientCount();
        }

        public Boolean GetStartListenIP()
        {
            return m_objWebRTC.GetStartListenIP();
        }

        public String GetNextListenIP()
        {
            return m_objWebRTC.GetNextListenIP();
        }

        public String BuildWebSocketURL()
        {
            return m_objWebRTC.BuildWebSocketURL();
        }

        public Boolean SetListenPortRangeRTP(int nPortMinWebRTC, int nPortMaxWebRTC, int nPortMinSIP, int nPortMaxSIP)
        {
            return m_objWebRTC.SetListenPortRangeRTP(nPortMinWebRTC, nPortMaxWebRTC, nPortMinSIP, nPortMaxSIP);
        }

        #endregion

        #region Events

        protected virtual void OnVaxErrorMsg(String sFuncName, String sErrorMsg, int nErrorCode)
        { 
        
        }

        #endregion

    }
}
